/*
 * (C) Copyright IBM Corp. 1997-1998  All rights reserved.
 *
 * US Government Users Restricted Rights Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.parser;

/**
 * To make a filter program, You implement this interface.
 *
 * @version 19980206
 * @author TAMURA Kent &lt;kent@trl.ibm.co.jp&gt;
 * @see com.ibm.xml.parser.Parser#addElementHandler(com.ibm.xml.parser.ElementHandler)
 * @see com.ibm.xml.parser.Parser#addElementHandler(com.ibm.xml.parser.ElementHandler,java.lang.String)
 */
public interface ElementHandler {
    /**
     * Called by parser when specified element is made.
     * @return <strong>null</strong> when you remove the element from parse tree.
     */
    public TXElement handleElement(TXElement el);
}

