/*
 * (C) Copyright IBM Corp. 1997-1998  All rights reserved.
 *
 * US Government Users Restricted Rights Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.parser.r;

/**
 * Error messages in English.
 *
 * @version 19980206
 * @author TAMURA Kent &lt;kent@trl.ibm.co.jp&gt;
 */
public class Message extends java.util.ListResourceBundle {
    public Object[][] getContents() {
        return contents;
    }

    static final Object[][] contents = {
        {"E_!0", "Syntax error. `<!--' or `<![CDATA[' is expected."},
        {"E_!1", "Syntax error. `<!--' or `<!DOCTYPE' is expected."},
        {"E_ATTD0", "An attribute name is expected."},
        {"E_ATTD1", "`NOTATION' is expected."},
        {"E_ATTD2", "`CDATA' or `ID' or `IDREF' or `IDREFS'or `ENTITY' or `ENTITIES' or `NMTOKEN' or `NMTOKENS' or 'NOTATION' or `(' is expected."},
        {"E_ATTD3", "`#REQUIRED' or `#IMPLIED' or `#FIXED' is expected."},
        {"E_ATTD4", "`#REQUIRED' or `#IMPLIED' or `#FIXED' or attribute value is expected."},
        {"E_ATTEQ0", "No `='' after attribute name `{0}''"},
        {"E_ATTEQ1", "Attribute `{0}'' is already specified."},
        {"E_ATTEQ2", "Invliad language ID: `{0}''"},
        {"E_ATTL0", "An element name is expected."},
        {"W_ATTL1", "Warning: `xml:space' attribute is recommended to be declared `xml:space (default|preserve) #IMPLIED'."},
        {"W_ATTL2", "Warning: `{0}'' attribute is already declared."},
        {"E_ATTVAL0", "Attribute value must starts with \" or '."},
        {"E_ATTVAL1", "Can't include `<' in attribute value."},
        {"E_CDATA0", "Syntax error. (<![CDATA[...]]> ?)"},
        {"E_CDATA1", "CDATA is not closed by `]]>'."},
        {"E_COM0", "Syntax error. (<!--...--> ?)"},
        {"E_COM1", "Comment is not closed by `-->'."},
        {"E_COM2", "Can't include `--' in comment."},
        {"E_COND0", "`<![INCLUDE[' or `<![IGNORE[' is expected."},
        {"E_COND1", "`]]>' is expected."},
        {"E_COND3", "`<?' or `<!' is expected."},
        {"E_CONT0", "Can''t find content model of `<{0}>''."},
        {"E_CONT1", "Content mismatch in `<{0}>''.  Content model is ``{1}''."},
        {"E_CS0", "A name is expected."},
        {"E_CS1", "`|' or `,' or `)' is expected."},
        {"E_CS2", "`#PCDATA' is expected."},
        {"E_CS3", "`)' is expected."},
        {"E_CS4", "`)*' is expected."},
        {"E_CS5", "`(' or element name is expected."},
        {"E_CS6", "Invalid operator `{0}''.  Its previous is `{1}''."},
        {"E_DOCTYPE0", "Syntax error. (<!DOCTYPE ...> ?)"},
        {"E_DOCTYPE1", "No root element type name."},
        {"E_DOCTYPE2", "Unknown external ID (`SYSTEM' or `PUBLIC' is expected): `{0}''"},
        {"E_DOCTYPE3", "DTD is empty."},
        {"E_DTD0", "Invalid character in DTD: `{0}''"},
        {"E_DTD1", "`<!' or `<?' is expected."},
        {"E_DTD2", "Unknown declaration type: `{0}''"},
        {"E_DTD3", "`ELEMENT' or `ATTLIST' or `ENTITY' or `NOTATION' is expected."},
        {"E_DTD4", "You can use conditional section only in external subset."},
        {"E_ELEM0", "Syntax error. `<!ELEMENT Name ...>'"},
        {"E_ELEM1", "`EMPTY' or `ANY' or `(' is expected."},
        {"E_ELEM2", "`>' is expected."},
        {"E_ELEM3", "Element `{0}'' is already declared."},
        {"E_ENC0", "Encoding `{0}'' is not supported."},
        {"E_ENTITY0", "Undefined entity reference: `&{0};''"},
        {"E_ENTITY1", "Syntax error. `<!ENTITY %? Name ...>'"},
        {"E_ENTITY2", "You can''t use NDATA reference in this context: `&{0};''"},
        {"E_ENTITY3", "Invalid character in EntityValue: 0x{0} in Unicode"},
        {"E_ENTITY4", "`>' is expected."},
        {"E_ENTITY5", "Syntax error.  `NDATA Name>'"},
        {"W_ENTITY6", "Warning: This entity name `{0}'' is already used.  Ignore here."},
        {"E_ENTITY7", "External entity reference `&{0};'' is unable to be used here."},
        {"E_ENTITY8", "NDATA type `{0}'' is not declared by `<!NOTATION ...>'."},
        {"E_ENUM0", "`)' is expected."},
        {"E_ENUM1", "Syntax error.  `(Name | Name | ...)'"},
        {"E_ENUM2", "Syntax error.  `(Nmtoken | Nmtoken | ...)'"},
        {"E_ENUM3", "`|' or `)' is expected."},
        {"E_ENUM4", "Value `{0}' is already specified."},
        {"E_ENUM5", "NOTATION `{0}' is not declared."},
        {"E_EOF", "Unexpected EOF."},
        {"E_EXT0", "Spaces are expected."},
        {"E_EXT1", "Public ID must starts with \" or '."},
        {"E_EXT2", "Invalid character as public ID: `{0}''"},
        {"E_EXT3", "System ID must starts with \" or '."},
        {"E_EXT4", "Invalid character as system ID: `{0}''"},
        {"E_EXT5", "Spaces or `>' are expected."},
        {"E_IDREF0", "ID `{0}'' is not defined in the document."},
        {"E_INVCHAR0", "Invalid character: 0x{0} in Unicode"},
        {"E_INVENC0", "Invalid Encoding: Big-endian UCS-2, but no byte order mark."},
        {"E_INVENC1", "Invalid Encoding: Little-endian UCS-2, but no byte order mark."},
        {"E_NAMES0", "`{0]'' contains invalid character."},
        {"E_NMTOK0", "`{0]'' contains invalid character."},
        {"E_NOT0", "Syntax error.  `<!NOTATION Name ...>'"},
        {"E_PEREF0", "Invalid character in paramter reference"},
        {"E_PEREF1", "';' is missing at end of paramter reference: `%{0}''"},
        {"E_PEREF2", "Undefined parameter reference: `%{0};''"},
        {"E_PI0", "No PI target."},
        {"E_PI1", "No space after PI target name."},
        {"E_PI2", "Can't get PI data."},
        {"E_PI3", "`?>' is expected."},
        {"E_PI4", "Invalid encoding name: `{0}''"},
        {"E_PI4", "A PI target starting `xml' is not allowed."},
        {"E_REFER0", "Invalid character in reference: `{0}''"},
        {"E_REFER1", "`;' is missing at end of reference."},
        {"E_REFER2", "No number in reference.."},
        {"E_REFER3", "Character reference is out of range: &#x{0};"},
        {"E_REFER4", "Character reference is out of range: &#{0};"},
        {"E_SPACE", "Spaces are expcted."},
        {"E_STRUCT0", "Invalid document structure."},
        {"E_STRUCT1", "`<?xml' must be at just start of document."},
        {"E_STRUCT2", "The document has no element."},
        {"E_STRUCT3", "DOCTYPE must be placed before root tag."},
        {"W_STRUCT4", "Warning: No `<?xml ...?>'."},
        {"W_STRUCT5", "Warning: No `<!DOCTYPE ...>'."},
        {"E_TAG0", "No tag name."},
        {"E_TAG1", "`/> or `>' is expected."},
        {"E_TAG3", "`</{0}>'' is expected."},
        {"E_TAG4", "`>' is expected."},
        {"E_TAG5", "DOCTYPE mismatch: `{0}'' in !DOCTYPE, `{1}'' in root element."},
        {"E_TAG6", "Attribute `{0}'' of element `{1}'' is not declared."},
        {"E_TAG7", "Attribute value `{0}'' has some invalid character."},
        {"E_TAG8", "ID `{0}'' is already used."},
        {"E_TAG9", "Attribute value `{0}'' is invalid."},
        {"E_TAGa", "Attribute value `{0}'' is not binary external entity."},
        {"E_TAGb", "Attribute value `{0}'' is invalid. No `<!NOTATION {0} ...>''."},
        {"E_TAGc", "Attribute `{0}'' is not specified.  This attribute is `#REQUIRED''."},
        {"E_TAGd", "A value of attribute `{0}'' is incorrect.  `{1}'' in DTD, `{2}'' in the document."},
        {"E_TAGe", "`{0}'' has more than one namespace separators: "},
        {"E_TAGf", "A namespace of `{0}'' isn't declared."},
        {"E_TAGg", "Unexpected end tag."},
        {"E_TAGh", "General entity can has only entire elements, references, CDATAs, PIs and texts."},
        {"E_TAGi", "Entity `&{0};'' is refered recursively."},
        {"E_TAGj", "Texts can't has `]]>'."},
        {"E_TAGk", "Element `{0}'' is declared as `EMPTY''.  `/>'' is expected."},
        {"E_XML0", "`?>' is expected."},
        {"E_XML1", "`version' attribute is required."},
        {"E_XML2", "`version' attribute must be placed in first."},
        {"E_XML3", "standalone value must be `yes'' or `no''. You specified `{0}''"},
        {"E_XML4", "XML version is not `1.0'."},
        {"E_XML5", "Unknown attribute or invalid attribute order: `{0}''"},
        {"E_XML6", "XML version `{0}'' is in invalid format."},
        {"E_XMLNS0", "No `HREF' attribute."},
        {"E_XMLNS1", "No `AS' attribute."},
        {"E_XMLNS2", "`AS'' value `{0}'' has invalid character as name."},
        {"E_XMLNS3", "A namespace `{0}'' is already used."},
        {"E_XMLNS4", "An attribute `{0}'' is not recognized in Namespace PI."},
        {"E_", "."},
    };
}
